Bug 822116 - [abrt] libreoffice-core-3.5.2.1-6.fc17: ServerFont::SetFontOptions was killed by signal 6 (SIGABRT)
[abrt] libreoffice-core-3.5.2.1-6.fc17: ServerFont::SetFontOptions was killed...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
abrt_hash:3fdf810dc4a2d362a63bddb5371...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-16 07:34 EDT by Edoardo Patelli
Modified: 2012-06-08 10:02 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-08 10:02:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (31.95 KB, text/plain)
2012-05-16 07:34 EDT, Edoardo Patelli
no flags Details
File: build_ids (10.53 KB, text/plain)
2012-05-16 07:34 EDT, Edoardo Patelli
no flags Details
File: open_fds (4.68 KB, text/plain)
2012-05-16 07:34 EDT, Edoardo Patelli
no flags Details
File: maps (137.22 KB, text/plain)
2012-05-16 07:34 EDT, Edoardo Patelli
no flags Details
File: backtrace (90.68 KB, text/plain)
2012-05-16 07:34 EDT, Edoardo Patelli
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 968789 None None None 2012-06-08 09:45:57 EDT

  None (edit)
Description Edoardo Patelli 2012-05-16 07:34:16 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --writer --splash-pipe=6
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.3.2-6.fc16.x86_64
pid:            26857
time:           Wed 16 May 2012 11:33:17 BST
uid:            1000
username:       ep
xsession_errors: 

backtrace:      Text file, 92859 bytes
build_ids:      Text file, 10783 bytes
dso_list:       Text file, 32717 bytes
maps:           Text file, 140516 bytes
open_fds:       Text file, 4790 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/ep/14

core_backtrace:
:5c4f739dadc5059e12de9ba0d1d12a43d2fc86d7 0x35915 ssignal libc.so.6 -
:- 0x0 - - -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=14
:HOSTNAME=EPdesktop
:LC_MONETARY=en_GB.utf8
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GIO_LAUNCHED_DESKTOP_FILE_PID=26842
:GPG_AGENT_INFO=/run/user/ep/keyring-2qJwgQ/gpg:0:1
:SHELL=/bin/bash
:TERM=dumb
:DESKTOP_STARTUP_ID=gnome-shell-4774-EPdesktop-libreoffice-12_TIME1272358880
:HISTSIZE=1000
:XDG_SESSION_COOKIE=9263dca2f6912531951f0e1f0000000d-1335773128.470986-1204860513
:GJS_DEBUG_OUTPUT=stderr
:LC_NUMERIC=en_GB.utf8
:OLDPWD=/usr/lib64/libreoffice/program
:GNOME_KEYRING_CONTROL=/run/user/ep/keyring-2qJwgQ
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:IMSETTINGS_MODULE=none
:USER=ep
:SSH_AUTH_SOCK=/run/user/ep/keyring-2qJwgQ/ssh
:USERNAME=ep
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/25056,unix/unix:/tmp/.ICE-unix/25056
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/libreoffice-writer.desktop
:MAIL=/var/spool/mail/ep
:PATH=/usr/NX/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/ep/.local/bin:/home/ep/bin
:DESKTOP_SESSION=gnome
:NXDIR=/usr/NX
:QT_IM_MODULE=xim
:PWD=/home/ep
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=25052
:LANG=en_GB.utf8
:GDM_LANG=en_GB.utf8
:KDEDIRS=/usr
:LC_MEASUREMENT=en_GB.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/ep
:SHLVL=1
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SAL_ENABLE_FILE_LOCKING=1
:LOGNAME=ep
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-HiXEE782Rv,guid=d4695b8c4863ec2b0053a19e0000a389
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/ep
:DISPLAY=:0
:LC_TIME=en_GB.utf8
:XAUTHORITY=/var/run/gdm/auth-for-ep-YnlzNZ/database
:LD_LIBRARY_PATH=/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3.x86_64/jre/lib/amd64/client:/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3.x86_64/jre/lib/amd64/server:/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3.x86_64/jre/lib/amd64/native_threads:/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3.x86_64/jre/lib/amd64

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 31140                processes 
:Max open files            4096                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       31140                31140                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

var_log_messages:
:May 14 14:35:15 EPdesktop abrt[26450]: Saved core dump of pid 32031 (/usr/lib64/libreoffice/program/soffice.bin) to /var/spool/abrt/ccpp-2012-05-14-14:34:06-32031 (432070656 bytes)
:May 16 11:34:00 EPdesktop abrt[10760]: Saved core dump of pid 26857 (/usr/lib64/libreoffice/program/soffice.bin) to /var/spool/abrt/ccpp-2012-05-16-11:33:17-26857 (401219584 bytes)
Comment 1 Edoardo Patelli 2012-05-16 07:34:20 EDT
Created attachment 584935 [details]
File: dso_list
Comment 2 Edoardo Patelli 2012-05-16 07:34:22 EDT
Created attachment 584936 [details]
File: build_ids
Comment 3 Edoardo Patelli 2012-05-16 07:34:24 EDT
Created attachment 584937 [details]
File: open_fds
Comment 4 Edoardo Patelli 2012-05-16 07:34:26 EDT
Created attachment 584938 [details]
File: maps
Comment 5 Edoardo Patelli 2012-05-16 07:34:28 EDT
Created attachment 584939 [details]
File: backtrace
Comment 6 Caolan McNamara 2012-06-08 10:02:46 EDT
something seems familiar about this bug, but digging around in vcl doesn't throw up anything to jog my memory and from the backtrace alone I can't see an immediate reason it fails :-(

This one fell through the cracks, so sorry for the delay. If you can still reproduce this then feel free to reopen if you can attach a document that reproduces this and details of how to reproduce.

Note You need to log in before you can comment on or make changes to this bug.